<?php
/*
 * @package Recent Forum Topics
 * @version 2.0
 * @Author: Pipke(AdemaStudios)
 * @copyright Copyright (C) 2015, Pipke
 * @All rights reserved. 
 * @This SMF modification is subject to the BSD 2-Clause License
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 * HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON 
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

global $smcFunc, $modSettings;
 
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot uninstall - please verify you put this in the same place as SMF\'s index.php.');

// Remove hooks
$hooks = array(
	'integrate_pre_include' => '$sourcedir/Subs-RecentForumTopics.php',
	'integrate_load_permissions' => 'rft_permissions',
	'integrate_actions' => 'rft_blockarea',
	'integrate_modify_modifications' => 'rft_mod_settings',
	'integrate_admin_areas' => 'rft_mod_admin',
	'integrate_load_theme' => 'rft_load_themes',
	'integrate_menu_buttons' => 'rft_copyright',
	);

foreach ($hooks as $hook => $function)
	remove_integration_function($hook, $function);

if($modSettings['rft_sp_activated'] >= 1)
	$smcFunc['db_query']('ignore', 'DELETE FROM {db_prefix}sp_blocks WHERE type = {text:type}', array('type' => 'sp_rft',));
	
// Remove rft db-settings
$smcFunc['db_query']('', "DELETE FROM {db_prefix}settings WHERE variable LIKE 'rft%'");

// Remove rft from simpleportal blocklist db-settings if exists
//if( mysql_num_rows( mysql_query("SHOW TABLES LIKE '{db_prefix}sp_blocks'") ) != 0 )	
//else
//return;
?>